import javax.swing.*;
import java.awt.*;


public class MyJTabbedPane extends JFrame {

    Component [] panel = new Component [4];
    JTabbedPane tabbedpane = new JTabbedPane();
    ImageIcon icon = new ImageIcon("images/sun.png");

    public MyJTabbedPane() {
	Container cp = getContentPane();
	cp.setLayout(new GridLayout(1, 1));
	// text only, without tooltip 
	panel[0] = makeTextPanel("Dies ist Tabbed Pane 1");
	tabbedpane.addTab("Pane 1",panel[0]);
	// text with icon, with tooltip
	panel[1] = makeTextPanel("Dies ist Tabbed Pane 2");
	tabbedpane.addTab("Pane 2",icon, panel[1],"Tooltip : Pane 2");
	// icon only, with tooltip
	panel[2] = makeTextPanel("Dies ist Tabbed Pane 3");
	tabbedpane.addTab(null,icon,panel[2],"Pane 3");
	//
	cp.add(tabbedpane);
	//
	addWindowListener(new MyWindowListener());

    }
	
    protected Component makeTextPanel(String text) {
	JPanel panel = new JPanel(false);
	JLabel filler = new JLabel(text);
	filler.setHorizontalAlignment(JLabel.CENTER);
	panel.setLayout(new GridLayout(1, 1));
	panel.add(filler);
	return panel;
    }


    public static void main(String [] args) {
	JFrame testframe = new MyJTabbedPane();
	testframe.setSize(250,100);
	testframe.show();
    }
}
